MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
InputStreamReader Class Referencefinal

A Reader implementation which forwards all read calls to InputStream::Read() and logs errors. More...

`#include <Reader.hxx>`

Inheritance diagram for InputStreamReader:
[legend]
Collaboration diagram for InputStreamReader:
[legend]

## Public Member Functions
| InputStreamReader (InputStream &_is)
size_t | Read (void *data, size_t size) override
| Read data from the stream. More...
Public Member Functions inherited from Reader
| Reader ()=default
| Reader (const Reader &)=delete

## Detailed Description

A Reader implementation which forwards all read calls to InputStream::Read() and logs errors.

Definition at line 34 of file Reader.hxx.

## Constructor & Destructor Documentation

InputStreamReader::InputStreamReader | ( | InputStream & | _is | ) |
| inline explicit

Definition at line 38 of file Reader.hxx.

## Member Function Documentation

size_t InputStreamReader::Read | ( | void * | data,
|  | size_t | size
| ) |  |
| override virtual

Read data from the stream.

Returns
  the number of bytes read into the given buffer or 0 on end-of-stream

Implements Reader.

The documentation for this class was generated from the following file:

- input/Reader.hxx